Preview a collection in 'Copy a collection' page causes a dark screen

Bug #1361450 reported by Son Nguyen on 2014-08-26
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
1.10
High
Unassigned
15.04
High
Unassigned
15.10
High
Robert Lyon

Bug Description

Versions: master(1.10)
Browsers: FF, Chrome

Steps

1. In the page 'Copy a page or collection', click a collection title to preview it
2. In the preview popup window, navigate pages. Every click makes the background darker.
3. Click the Close button to back the page 'Copy a page or collection'

Expected: a list of collections and pages
Actual: The screen is dark and can't click

Robert Lyon (robertl-9) on 2015-04-29
Changed in mahara:
status: Confirmed → Won't Fix
status: Won't Fix → In Progress
importance: Undecided → Medium
importance: Medium → High
assignee: nobody → Robert Lyon (robertl-9)
Robert Lyon (robertl-9) wrote :

This is kinda a high bug as it can stop the user from being able to access page

Changed in mahara:
milestone: none → 15.10.0
tags: added: needs-behat
Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/4722

tags: added: has-behat
removed: needs-behat

Reviewed: https://reviews.mahara.org/4718
Committed: http://gitorious.org/mahara/mahara/commit/849f1870fad9be8a1a1c25be0d6f2e625d93e130
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 849f1870fad9be8a1a1c25be0d6f2e625d93e130
Author: Robert Lyon <email address hidden>
Date: Thu Apr 30 09:55:24 2015 +1200

Bug #1361450 - only add the greyed out overlay once in preview mode

On previewing a collection the greyed out overlay gets added each time
you click a collection page tab - it should only be added once.

Change-Id: Iebbd4a333438d629d252366a542981fbf2cf2fd6
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/4735

Reviewed: https://reviews.mahara.org/4735
Committed: http://gitorious.org/mahara/mahara/commit/81c4cc9883bc2fbfbf5ed16dc8744f759a2f099b
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 81c4cc9883bc2fbfbf5ed16dc8744f759a2f099b
Author: Robert Lyon <email address hidden>
Date: Thu Apr 30 09:55:24 2015 +1200

Bug #1361450 - only add the greyed out overlay once in preview mode

On previewing a collection the greyed out overlay gets added each time
you click a collection page tab - it should only be added once.

Change-Id: Iebbd4a333438d629d252366a542981fbf2cf2fd6
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4734
Committed: http://gitorious.org/mahara/mahara/commit/e7110a99616d461750e8726bc52cd0cff42b5b3d
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit e7110a99616d461750e8726bc52cd0cff42b5b3d
Author: Robert Lyon <email address hidden>
Date: Thu Apr 30 09:55:24 2015 +1200

Bug #1361450 - only add the greyed out overlay once in preview mode

On previewing a collection the greyed out overlay gets added each time
you click a collection page tab - it should only be added once.

Change-Id: Iebbd4a333438d629d252366a542981fbf2cf2fd6
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4722
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/9476d0e1cf1c78ee543d32a5f7eccf761a1d103f
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 9476d0e1cf1c78ee543d32a5f7eccf761a1d103f
Author: Jinelle Foley-Barnes <email address hidden>
Date: Thu Apr 30 17:34:33 2015 +1200

Behat Test: Copy page popout (Bug 1361450)

Change-Id: I69621fc16cd3c801f1bee3d0302e36a63d9a5aae

Robert Lyon (robertl-9) on 2016-11-06
Changed in mahara:
status: Fix Committed → Fix Released

Reviewed: https://reviews.mahara.org/7703
Committed: https://git.mahara.org/mahara/mahara/commit/936810c0dca59c25dd7f99fc610fbb2f58847f3d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 936810c0dca59c25dd7f99fc610fbb2f58847f3d
Author: Niranjan Bandi <email address hidden>
Date: Fri Apr 28 10:15:16 2017 +1200

Bug 1361450: Behat tests for copying a page & collection

Adjusted the test to get to copy page like a human would rather than
going to page direct

Change-Id: I0f15ffc35e2c82b0f682962f2edd3c908145c651

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers